/*
 * Copyright © 2021 - 2022 Koherence, LLC (www.koherence.com).
 * All Rights Reserved.
 */

#ifndef ENATSC3J288ALPHDHRSOURCE_H
#define ENATSC3J288ALPHDHRSOURCE_H

typedef enum
{
    ENATSC3J288ALPHDHRSourceOperatingMode_Invalid = 0,
    ENATSC3J288ALPHDHRSourceOperatingMode_ATSC = 1,
    ENATSC3J288ALPHDHRSourceOperatingMode_ATSC3 = 2,
} ENATSC3J288ALPHDHRSourceOperatingMode;

ENStatus
ENATSC3J288ALPHDHRSourceInitialize(int32_t *pNDevices);

ENStatus
ENATSC3J288ALPHDHRSourceShutdown(void);

ENStatus
ENATSC3J288ALPHDHRSourceOpen(int32_t deviceNumber, 
    ENATSC3J288ALPHDHRSourceOperatingMode operatingMode, 
    int32_t frequency, ENATSC3Source *ppSource);

ENStatus
ENATSC3J288ALPHDHRSourceGetDeviceInfo(int32_t deviceNumber,
    char *pModel, int32_t nModelBytes, char *pSerial, int32_t nSerialBytes);

#endif
